org.apache.commons.jexl.util.introspection

## Interface UberspectLoggable

All Known Implementing Classes:
  UberspectImpl

    public interface UberspectLoggable

Marker interface to let an uberspector indicate it can and wants to log. Thanks to Paulo for the suggestion

Since:
  1.0
Version:
  $Id: UberspectLoggable.java 480412 2006-11-29 05:11:23Z bayard $
Author:
  Geir Magnusson Jr.

### Method Summary

Methods
`void` `setRuntimeLogger(org.apache.commons.logging.Log logger)` Sets the logger.

### Method Detail

#### setRuntimeLogger

    void setRuntimeLogger(org.apache.commons.logging.Log logger)

Sets the logger. This will be called before any calls to the uberspector

Parameters:
  `logger` - the logger.